# Argon Admin Dashboard: React.js, Vite, Material UI - Dark & Light Mode

Welcome to Argon Admin Dashboard, a sleek and feature-rich solution built with React.js, Vite, and Material UI, offering both dark and light mode themes. Empower your project with 11 meticulously crafted pages, including data management, user interaction, and insightful chart displays.

## Features

- **Dashboard Page:** An overview of key metrics and insights.
- **Manage Team Page:** Efficiently handle team members with MUI DataGrid.
- **Contacts Information:** Keep track of contacts effortlessly with a DataGrid.
- **Invoices Balances Page:** Manage invoice balances conveniently using MUI DataGrid.
- **Profile Form Page:** Create new user profiles seamlessly with Formik and Yup integration.
- **Calendar Page:** Interactive calendar functionality powered by FullCalendar.
- **FAQ Page:** Provide answers to common queries using MUI Accordion.
- **Charts Pages:** Visualize data effectively with various chart types including Bar, Pie, Line, Geography, and Stream.

## Demo

Explore the live demo of Argon Admin Dashboard [here](https://argon-admin-dashboard.web.app/).

## Get Started

1. Clone the repository: `git clone https://github.com/ayoubhayda/react-admin-dashboard.git`
2. Install dependencies: `npm install` or `yarn install`
3. Start the development server: `npm run dev` or `yarn dev`

## Screenshots

### Dark Mode

![Dark Mode](https://res.cloudinary.com/duxego3ja/image/upload/v1709215626/argon-admin-dashboard/b6jztniqlakkglakrp4e.png)

### Light Mode

![Light Mode](https://res.cloudinary.com/duxego3ja/image/upload/v1709215626/argon-admin-dashboard/qf006k0kwkhrgmefengy.png)


## Contributions and Feedback

We welcome contributions and feedback from the community to enhance and improve Argon Admin Dashboard further. Feel free to submit pull requests or open issues for any suggestions or bug reports.

## Free to Use

Argon Admin Dashboard is open-source and completely free to use. Download it, customize it, and streamline your operations with ease.

**Keywords:** React.js, Vite, Material UI, Admin Dashboard, Dark Mode, Light Mode, Data Management, Team Management, Calendar, Charts, Formik, Yup, Open Source.

**Enjoy building awesome projects with Argon Admin Dashboard!**
